summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Binh Nguyen2010-10-18 01:33:19 +0200
committer Robby Workman2010-10-18 01:33:19 +0200
commite676c9a31efaa3a73f40033c1db300da37be230c (patch)
tree0ec856a54b147c15376a34a18aae7b3c246080a6 /graphics
parent2dd273581975e493a179bf58f1ca76b37d230610 (diff)
downloadslackbuilds-e676c9a31efaa3a73f40033c1db300da37be230c.tar.gz
graphics/shutter: Added (feature-rich screenshot program)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/shutter/README11
-rw-r--r--graphics/shutter/doinst.sh14
-rw-r--r--graphics/shutter/shutter.SlackBuild79
-rw-r--r--graphics/shutter/shutter.info10
-rw-r--r--graphics/shutter/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/graphics/shutter/README b/graphics/shutter/README
new file mode 100644
index 0000000000..5afc1b299e
--- /dev/null
+++ b/graphics/shutter/README
@@ -0,0 +1,11 @@
+Shutter is a feature-rich screenshot program. You can take a screenshot
+of a specific area, window, your whole screen, or even of a website -
+apply different effects to it, draw on it to highlight points, and then
+upload to an image hosting site, all within one window. Shutter is free,
+open-source, and licensed under GPL v3.
+
+This requires perl-gtk2-imageview, perl-gnome2, perl-gnome2-wnck,
+perl-gnome2-gconf, locale-gettext, perl-www-mechanize, perl-net-dbus,
+perl-x11-protocol and perl-proc-processtable.
+
+Optional requirement is perl-goo-canvas for drawing tool.
diff --git a/graphics/shutter/doinst.sh b/graphics/shutter/doinst.sh
new file mode 100644
index 0000000000..052b9667ff
--- /dev/null
+++ b/graphics/shutter/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/graphics/shutter/shutter.SlackBuild b/graphics/shutter/shutter.SlackBuild
new file mode 100644
index 0000000000..d6c0c0e9cc
--- /dev/null
+++ b/graphics/shutter/shutter.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for shutter
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=shutter
+VERSION=${VERSION:-0.86.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+install -D -m 755 bin/$PRGNAM $PKG/usr/bin/$PRGNAM
+cp -r share $PKG/usr
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+
+# Remove unnecessary stuff
+rm -rf $PKG/usr/share/doc/
+rm -rf $PKG/usr/share/icons/ubuntu*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/shutter/shutter.info b/graphics/shutter/shutter.info
new file mode 100644
index 0000000000..35e0994580
--- /dev/null
+++ b/graphics/shutter/shutter.info
@@ -0,0 +1,10 @@
+PRGNAM="shutter"
+VERSION="0.86.4"
+HOMEPAGE="http://shutter-project.org/"
+DOWNLOAD="http://shutter-project.org/wp-content/uploads/releases/tars/shutter-0.86.4.tar.gz"
+MD5SUM="874a4b5a113d81f4c83bc67b5a4a029a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="rworkman"
diff --git a/graphics/shutter/slack-desc b/graphics/shutter/slack-desc
new file mode 100644
index 0000000000..628fe8b7dd
--- /dev/null
+++ b/graphics/shutter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+shutter: shutter (a feature-rich screenshot program)
+shutter:
+shutter: Shutter is a feature-rich screenshot program. You can take a
+shutter: screenshot of a specific area, window, your whole screen, or even of a
+shutter: website - apply different effects to it, draw on it to highlight
+shutter: points, and then upload to an image hosting site, all within one
+shutter: window. Shutter is free, open-source, and licensed under GPL v3.
+shutter:
+shutter: Homepage: http://shutter-project.org/
+shutter:
+shutter: